summaryrefslogtreecommitdiff
path: root/arch/powerpc/boot/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'arch/powerpc/boot/install.sh')
-rw-r--r--arch/powerpc/boot/install.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/arch/powerpc/boot/install.sh b/arch/powerpc/boot/install.sh
index 51b2387bdba0..98312d169c85 100644
--- a/arch/powerpc/boot/install.sh
+++ b/arch/powerpc/boot/install.sh
@@ -18,6 +18,9 @@
# $5 and more - kernel boot files; zImage*, uImage, cuImage.*, etc.
#
+# Bail with error code if anything goes wrong
+set -e
+
# User may have a custom install script
if [ -x ~/bin/${CROSS_COMPILE}installkernel ]; then exec ~/bin/${CROSS_COMPILE}installkernel "$@"; fi